package eu.eudat.models.rda.mapper;

import eu.eudat.data.entities.Funder;
import eu.eudat.data.entities.Grant;
import eu.eudat.models.rda.Funding;

public class FundingRDAMapper {

	public static Funding toRDA(Grant grant) {
		Funding rda = new Funding();
		String referencePrefix;
		String shortReference;
		if (grant.getFunder().getReference() != null) {
			referencePrefix = grant.getFunder().getReference().split(":")[0];
			shortReference = grant.getFunder().getReference().substring(referencePrefix.length() + 1);
			rda.setFunderId(FunderIdRDAMapper.toRDA(shortReference));
		} else {
			rda.setFunderId(FunderIdRDAMapper.toRDA(grant.getFunder().getId()));
		}
		referencePrefix = grant.getReference().split(":")[0];
		shortReference = grant.getReference().substring(referencePrefix.length() + 1);
		rda.setGrantId(GrantIdRDAMapper.toRDA(shortReference));
		return rda;
	}
}
