package eu.eudat.models.rda.mapper;

import eu.eudat.data.entities.Funder;
import eu.eudat.data.entities.Grant;
import eu.eudat.models.rda.Project;

import java.util.Collections;

public class ProjectRDAMapper {

	public static Project toRDA(eu.eudat.data.entities.Project project, Grant grant) {
		Project rda = new Project();
		rda.setTitle(project.getLabel());
		rda.setDescription(project.getDescription());
		if (project.getStartdate() != null) {
			rda.setStart(project.getStartdate().toString());
		}
		if (project.getEnddate() != null) {
			rda.setEnd(project.getEnddate().toString());
		}
		rda.setFunding(Collections.singletonList(FundingRDAMapper.toRDA(grant)));

		return rda;
	}
}
